<?php

class UrlWorkaround extends Module
{
    public function __construct()
    {
        $this->name = 'urlworkaround';
        $this->version = '1.0.0';
        $this->author = 'thirty bees';
        $this->tab = 'administration';

        $this->bootstrap = true;
        parent::__construct();

        $this->displayName = $this->l('Url Workaround module');
        $this->description = $this->l('Regenerate URLs on thirty bees 1.0.0');
    }

    public function getContent()
    {
        $this->postProcess();

        return '<a class="btn btn-default" href="'.$this->context->link->getAdminLink('AdminModules', true).'&configure=urlworkaround&tab_module=administration&module_name=urlworkaround&regenerate=1"><i class="icon icon-refresh"></i> Regenerate URLs</a>';
    }

    protected function postProcess()
    {
        if (Tools::isSubmit('regenerate')) {
            UrlRewrite::regenerateUrlRewrites();
            PageCache::flush();

            $this->context->controller->confirmations[] = $this->l('URLs successfully regenerated');
        }
    }
}
